doctype
html
  head
    meta(charset="utf-8")
    title Framework7 - Full Featured Framework For Building iOS, Android & Desktop Apps
    meta(name="viewport" content="width=device-width, viewport-fit=cover")
    meta(property="og:title" content="Framework7 - Full Featured Framework For Building iOS, Android & Desktop Apps")
    meta(property="og:description" content="Build full featured iOS, Android & Desktop apps")
    meta(property="og:image", content="/i/share-banner-v8.jpg")
    meta(property="og:site_name", content="Framework7")
    meta(name="twitter:card", content="summary_large_image")
    meta(name="twitter:site", content="@framework7io")
    meta(name="twitter:creator", content="@framework7io")
    meta(name="theme-color" content="#322624")
    meta(name="twitter:title", content="Framework7")
    meta(name="twitter:description", content="Build full featured iOS, Android & Desktop apps")
    meta(name="twitter:image", content="https://framework7.io/i/share-banner-v8.jpg")
    link(rel="shortcut icon" href="/i/favicon.png")
    link(rel="preconnect" href="https://fonts.googleapis.com")
    link(rel="preconnect" href="https://fonts.gstatic.com" crossorigin)
    link(rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@docsearch/css@3")
    link(href="https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap" rel="stylesheet")
    link(rel="stylesheet", href="/css/main-v8.css")
  body
    include _nav
    header.home-header
      .home-header-canvas
      .center
        .content
          .logo-title
            | !{inlineSvg('public/i/logo-text-icon.svg')}
          .slogan Build full featured iOS, Android & Desktop apps
          .buttons
            a(href="#get-started")
              i.f7-icons rocket_fill
              span Get Started
          .links-info
            .links
              a(href="/docs/") Docs
              a(href="/templates/") Templates
              a(href="/showcase/") Apps Showcase
              a(href="https://forum.framework7.io") Forum
            .release-info MIT Licensed, <b>v#{release.version}</b> released on #{release.date}
            .patreon-github
              include _github-buttons
              include _patreon
        .phone-wrap
          h2 See it in action
          a(href="/kitchen-sink/core/" target="_blank").phone-button
            span Open in new tab
            i.f7-icons arrow_up_right_square_fill
          .phone.ios
            .iframe-wrapper
              iframe(src="kitchen-sink/core/?theme=md&safe-areas=true", frameborder="0", scrolling="no")
            .theme-switch
              a(href="kitchen-sink/core/?theme=md", target="_blank").active
                .theme-icon
                  i.f7-icons logo_android
                .fullscreen
                  i.f7-icons expand
              a(href="kitchen-sink/core/?theme=ios", target="_blank")
                .theme-icon
                  i.f7-icons logo_ios
                .fullscreen
                  i.f7-icons expand


    .home-block.home-intro
      .center
        .constructor
          .constructor-container
            .constructor-canvas
            .constructor-navbar
              span
            .constructor-toolbar
              span
              span
              span
            .constructor-card
              .constructor-card-avatar
              .constructor-card-text
                div
                div
                div
              .constructor-card-buttons
                div
                div
            .constructor-list
              div
                div
                span
              div
                div
                span
              div
                div
                span
              div
                div
                span
        .text
          p Framework7 - is a <b>free and open source</b> framework to develop mobile, desktop or web apps with <b>native look and feel</b>. It is also an indispensable prototyping tool to show working app prototype as soon as possible in case you need to.
    .home-block.home-block-left
      .center
        h2 Build Apps For Any Platform
        .logos.logos-platforms
          img(src="/i/brand-logos/pwa-red.svg")
          img(src="/i/brand-logos/cordova-red.svg")
          img(src="/i/brand-logos/capacitorjs-red.svg")
          img(src="/i/brand-logos/electron-red.svg")
        .text
          p With such stunning set of UI components that Framework7 provides right from the box, it allows to create web apps, progressive web apps (PWA) and iOS and Android apps with native look and feel.
          p Framework7 paired with extra tools like Electron and NW.js allows to build native desktop apps.
    .home-block.home-block-right
      .center
        h2 Use Anything You Love!
        .logos.logos-tools
          img(src="/i/brand-logos/js-red.svg")
          img(src="/i/brand-logos/vue-red.svg")
          img(src="/i/brand-logos/react-red.svg")
          img(src="/i/brand-logos/svelte-red.svg")
          img(src="/i/brand-logos/rollup-red.svg")
          img(src="/i/brand-logos/webpack-red.svg")
        .text
          p You can use any tools you love when working with Framework7. It doesn’t force you to use anything except plain HTML, CSS and JavaScript. Creating apps with Framework7 is easy as creating website.
          p And in addition to vanilla JavaScript library, Framework7 comes with Vue.js, React and Svelte components to bring components-syntax, structured data and data bindings with power and simplicity of Vue.js,  React or Svelte.
    .home-block.home-block-left
      .center
        h2 Stunning Set Of UI Elements
        .ui
          img(src="/i/home-ui/toggle-ios.svg")
          img(src="/i/home-ui/toggle-md.svg")
          img(src="/i/home-ui/slider.svg")
          img(src="/i/home-ui/button.svg")
          img(src="/i/home-ui/input.svg")
          img(src="/i/home-ui/preloader.svg")
        .text
          p Framework7 comes with a stunning and unreachable set of ready to use UI elements and widgets like dialogs, popup, action sheet, popover, list views, tabs, side panels, layout grid, preloader, form elements, cards and many many more…
    .home-block.home-ecosystem
      .center
        h2 Rich Ecosystem
        .links
          a(href="/docs/")
            .link-title Framework7 Core
            .link-text Core JavaScript Framework
          a(href="/vue/")
            .link-title Framework7 Vue
            .link-text Framework7 Vue.js Components
          a(href="/react/")
            .link-title Framework7 React
            .link-text Framework7 React Components
          a(href="/svelte/")
            .link-title Framework7 Svelte
            .link-text Framework7 Svelte Components
          a(href="/cli/")
            .link-title Framework7 CLI
            .link-text Ultimate tool to start Framework7 app development
          a(href="/icons/")
            .link-title Framework7 Icons
            .link-text Ultimate collection of ready to use icons
          a(href="/templates/")
            .link-title Templates
            .link-text Official and community starter apps and templates
          a(href="/plugins/")
            .link-title Plugins
            .link-text Collection of official and community plugins
          a(href="https://forum.framework7.io")
            .link-title Forum
            .link-text Community forum and support
          a(href="https://blog.framework7.io")
            .link-title Blog
            .link-text Official Framework7 blog
          a(href="/showcase/")
            .link-title Apps Showcase
            .link-text Showcase of apps made with Framework7


    .home-block.home-get-started#get-started
      .center
        h2 Let’s Get Started <i class="f7-icons">rocket_fill</i>
        .terminal
          | <span>$</span> npm i framework7-cli cordova -g
          <br>
          | <span>$</span> framework7 create --ui
        .buttons
          a(href="/docs/")
            img(src="/i/frameworks/js.svg")
            div
              div Framework7 Core
              span Documentation
          a(href="/vue/")
            img(src="/i/frameworks/vue.svg")
            div
              div Framework7 Vue
              span Documentation
          a(href="/react/")
            img(src="/i/frameworks/react.svg")
            div
              div Framework7 React
              span Documentation
          a(href="/svelte/")
            img(src="/i/frameworks/svelte.svg")
            div
              div Framework7 Svelte
              span Documentation

    .home-block.home-uiinitiative
      .center
        h2 UI Initiative
        .text
          p Premium Framework7 templates & plugins for Framework7 patrons
        a(href="https://uiinitiative.com" target="_blank").uiinitiative-banner
          .uiinitiative-logo
            img(src="/i/uiinitiative-logo.svg")
          .uiinitiative-items
            img(src="https://s.uiinitiative.com/items/seven-burger/cover.jpg")
            img(src="https://s.uiinitiative.com/items/espresso-app/cover.jpg")
            img(src="https://s.uiinitiative.com/items/backlogger/cover.jpg")
            img(src="https://s.uiinitiative.com/items/cookingo/cover.jpg")

    .home-block.home-projects
      .center
        h2 More Of Our Projects
        .text
          a(href="https://konstaui.com" target="_blank")
            img(src="/i/home-projects/konsta.svg")
            div
              b Konsta UI
              span Pixel perfect mobile UI components built with Tailwind CSS
          a(href="https://atroposjs.com" target="_blank")
            img(src="/i/home-projects/atropos.svg")
            div
              b Atropos
              span Stunning touch-friendly 3D parallax hover effects
          a(href="https://swiperjs.com" target="_blank")
            img(src="/i/home-projects/swiper.svg")
            div
              b Swiper
              span Most modern mobile touch slider

    .home-block.home-sponsors
      .center
        h2 Sponsors
        .home-sponsors-list
          - var sponsors = getSponsors(getJSONData('sponsors/sponsors.json'));
          if (sponsors.diamondSponsor && sponsors.diamondSponsor.length)
            each sponsor in sponsors.diamondSponsor
              .home-sponsors-item.home-sponsor-diamond
                a(href=sponsor.link, target="_blank")
                  .sponsor-badge.sponsor-badge-diamond(title="Diamond Sponsor")
                  img(src='/i/sponsors/' + sponsor.image, alt=sponsor.title, title=sponsor.title)
            .home-sponsors-separator
          if (sponsors.platinumSponsor && sponsors.platinumSponsor.length)
            each sponsor in sponsors.platinumSponsor
              .home-sponsors-item.home-sponsor-platinum
                a(href=sponsor.link, target="_blank")
                  .sponsor-badge.sponsor-badge-platinum(title="Platinum Sponsor")
                  img(src='/i/sponsors/' + sponsor.image, alt=sponsor.title, title=sponsor.title)
            .home-sponsors-separator
          if (sponsors.goldSponsor)
            each sponsor in sponsors.goldSponsor
              .home-sponsors-item.home-sponsor-gold
                a(href=sponsor.link, target="_blank")
                  img(src='/i/sponsors/' + sponsor.image, alt=sponsor.title, title=sponsor.title)
            .home-sponsors-separator
          if (sponsors.silverSponsor)
            each sponsor in sponsors.silverSponsor
              .home-sponsors-item.home-sponsor-silver
                a(href=sponsor.link, target="_blank")
                  img(src='/i/sponsors/' + sponsor.image, alt=sponsor.title, title=sponsor.title)
            .home-sponsors-separator
          if (sponsors.topSupporter)
            each sponsor in sponsors.topSupporter
              .home-sponsors-item
                a(href=sponsor.link, target="_blank")
                  .sponsor-badge.sponsor-badge-topSupporter(title="Top Supporter")
                  img(src='/i/sponsors/' + sponsor.image, alt=sponsor.title, title=sponsor.title)
        .home-sponsors-content
          p Support Framework7 on <a href="https://opencollective.com/framework7" target="_blank">Open Collective</a> or <a href="https://www.patreon.com/framework7" target="_blank">Patreon</a> and help us to make it even better!<br>Your support means a lot for us!
          p
            a(href="https://opencollective.com/framework7", target="_blank").home-support-button Become a sponsor on OpenCollective
          p
            a(href="https://www.patreon.com/framework7", target="_blank").home-support-button Support Framework7 on Patreon
    include _footer
    include _footer-scripts
